SND_DMAENGINE_PCM_OP(9)

NAME
snd_dmaengine_pcm_open_request_chan - Open a dmaengine based PCM substream and request channel

SYNOPSIS

int snd_dmaengine_pcm_open_request_chan(struct snd_pcm_substream * substream, dma_filter_fn filter_fn, void * filter_data);

ARGUMENTS

substream
    PCM substream

filter_fn
    Filter function used to request the DMA channel

filter_data
    Data passed to the DMA filter function

DESCRIPTION

Returns 0 on success, a negative error code otherwise.

This function will request a DMA channel using the passed filter function and data. The function should usually be called from the pcm open callback. Note that this function will use private_data field of the substream's runtime. So it is not availabe to your pcm driver implementation.

COPYRIGHT